Accounts
Account Warning List
List internal moderation warnings for an account. Warnings are never public. Members may view their own warning history, and staff with the `MANAGE_WARNINGS` permission may review warnings for any account.
List internal moderation warnings for an account. Warnings are never
public. Members may view their own warning history, and staff with the
MANAGE_WARNINGS permission may review warnings for any account.
GET
/accounts/{account_id}/warningsstoryden-session<token>
In: cookie
Path Parameters
account_id*string
Account ID.
Format
xidResponse Body
application/json
application/json
curl -X GET "https://loading/api/accounts/cc5lnd2s1s4652adtu50/warnings"{
"warnings": [
{
"id": "cc5lnd2s1s4652adtu50",
"issued_at": "2019-08-24T14:15:22Z",
"reason": "string",
"issued_by": {
"id": "cc5lnd2s1s4652adtu50",
"joined": "2019-08-24T14:15:22Z",
"suspended": "2019-08-24T14:15:22Z",
"handle": "Southclaws",
"name": "Barnaby Keene",
"signature": "<body><p>Sent with love from London!</p></body>",
"roles": [
{
"badge": true,
"default": true,
"id": "cc5lnd2s1s4652adtu50",
"name": "string",
"colour": "string",
"meta": {}
}
]
}
}
],
"total": 0
}Empty
Empty
Empty
{
"error": "string",
"message": "string",
"suggested": "string",
"metadata": {}
}